#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include "common.h"


HELP("brewster <index of refraction>\n")


int main(int argc, char **argv)
{
  check_args(argc, argv, 2);
  double n = atof(argv[1]), Pi = 4.0 * atan(1.0);
  printf("%.6f\t%.6f\n", n, 180.0 - 2.0 * atan(n) * 180.0 / Pi);

  return 0;
}
