#include <stdlib.h>
#include <string.h>
#include "common.h"


void check_args(int argc, char **argv, int n)
{
  if ((n > 0) && (argc != n)) exit(help(stderr, -1));
  if ((argc > 1) && !strcmp(argv[1], "-h")) exit(help(stdout, 0));
}


void check_args_opt(int argc, char **argv, int arg_pos, int n)
{
  if (argc != arg_pos + n) exit(help(stderr, -1));
  if ((argc > 1) && !strcmp(argv[1], "-h")) exit(help(stdout, 0));
}


int check_option(int argc, char **argv, const char *option, int *arg_pos)
{
  if ((argc <= *arg_pos) || strcmp(argv[*arg_pos], option)) return 0;
  *arg_pos = *arg_pos + 1;
  return 1;
}
