#ifndef _diff_h_
#define _diff_h_

inline double diff(double f1, double f2, double delta)
{
  return (f1 - f2) / delta;
}


inline double ddiff(double f1, double f2, double f3, double delta)
{
  double d1 = diff(f1, f2, delta), d2 = diff(f2, f3, delta);
  return diff(d1, d2, delta);
}


#endif // _diff_h_
